=== debian/changelog ===
netperfmeter (2.0.0-1ubuntu1) plucky; urgency=medium

  * New upstream release.
  * debian/control: Moved architecture-independent files to netperfmeter-common.
  * debian/control: Updated standards version to 4.7.2.
  * debian/tests: Improved tests.

 -- Thomas Dreibholz <dreibh@simula.no>  Thu, 18 Dec 2025 11:27:21 +0100

netperfmeter (1.9.7-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * Fix for typo in manpage of setpdfmetadata (Closes: #1060277).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sat, 10 Feb 2024 15:58:17 +0100

netperfmeter (1.9.6-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Mon, 18 Dec 2023 13:16:28 +0100

netperfmeter (1.9.5-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 06 Dec 2023 16:54:30 +0100

netperfmeter (1.9.4-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 22 Jan 2023 22:39:48 +1100

netperfmeter (1.9.3-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 11 Sep 2022 13:05:06 +0200

netperfmeter (1.9.2-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 07 Nov 2021 20:05:41 +0100

netperfmeter (1.9.1-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.0.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 01 Nov 2021 09:53:15 +0100

netperfmeter (1.9.0-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.1.0.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sat, 06 Mar 2021 23:41:07 +0100

netperfmeter (1.8.7-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.3.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 13 Nov 2020 19:00:14 +0100

netperfmeter (1.8.6-1ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.0.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 07 Feb 2020 13:21:53 +0100

netperfmeter (1.8.6~rc2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.4.1.1.
  * debian/control: Updated standards version to 4.4.1.2.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 05 Dec 2019 14:26:58 +0100

netperfmeter (1.8.5-1ubuntu1) eoan; urgency=medium

  * New upstream release.
  * Renamed pdfmetadata to setpdfmetadata (Closes: #914333).
  * Added missing test script (Closes: #914336).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 10 Sep 2019 14:46:09 +0300

netperfmeter (1.8.4-1ubuntu1) disco; urgency=medium

  * New upstream release.
  * Closes: #914333 (ITP).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 07 Aug 2019 18:14:15 +0200

netperfmeter (1.8.3-1ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 26 Jul 2019 12:08:26 +0200

netperfmeter (1.8.2-1ubuntu1) disco; urgency=medium

  * New upstream release
  * Renamed pdfmetadata to setpdfmetadata (Closes: #914333).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 22 Jul 2019 09:59:56 +0200

netperfmeter (1.8.1-1ubuntu1) disco; urgency=medium

  * New upstream version.
  * debian/control: updated standards version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 27 Feb 2019 08:08:08 +0800

netperfmeter (1.8.0-1ubuntu1) cosmic; urgency=low

  * New upstream version.
  * debian/control: updated standards version.
  * debian/copyright: updated.
  * debian/upstream/metadata: added metadata file.
  * debian/tests/control: added tests control file.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 17 Oct 2018 08:08:08 +0200

netperfmeter (1.7.7-1ubuntu1) xenial; urgency=low

  * New upstream version.
  * debian/control: updated standards version.
  * debian/copyright: updated.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 06 Jun 2018 08:08:08 +0200

netperfmeter (1.7.6-1ubuntu1) xenial; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 29 Oct 2017 08:08:08 +0200

netperfmeter (1.7.5-1ubuntu1) xenial; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 25 Aug 2017 08:08:08 +0200

netperfmeter (1.7.4-1ubuntu1) xenial; urgency=low

  * New upstream version.
  * debian/watch: URL update
  * debian/control: URL update

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 09 Aug 2017 08:08:08 +0200

netperfmeter (1.7.3-1ubuntu1) xenial; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 08 Aug 2017 08:08:08 +0200

netperfmeter (1.7.2-1ubuntu1) xenial; urgency=low

  * New upstream version.
  * debian/watch: fixed URL.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 07 Aug 2017 08:08:08 +0200

netperfmeter (1.7.1-1ubuntu1) xenial; urgency=low

  * New upstream version.
  * debian/rules: autoconf/automake -> cmake
  * debian/control: autoconf/automake -> cmake

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 07 Aug 2017 08:08:08 +0200

netperfmeter (1.7.0-1ubuntu1) zesty; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 20 Apr 2017 08:08:08 +0200

netperfmeter (1.6.1-1ubuntu1) zesty; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 04 Nov 2016 08:08:08 +0200

netperfmeter (1.6.0-1ubuntu1) yakkety; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 17 Aug 2016 08:08:08 +0200

netperfmeter (1.5.6-1ubuntu1) yakkety; urgency=low

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 29 Apr 2016 08:08:08 +0200


