=== debian/control ===
Source: netperfmeter
Section: net
Priority: optional
Maintainer: Thomas Dreibholz <dreibh@simula.no>
Homepage: https://www.nntb.no/~dreibh/netperfmeter/
Vcs-Git: https://github.com/dreibh/netperfmeter.git
Vcs-Browser: https://github.com/dreibh/netperfmeter
Build-Depends: cmake,
               debhelper-compat (= 13),
               ghostscript,
               graphicsmagick,
               libbz2-dev,
               libsctp-dev (>= 1.0.5),
               pdf2svg
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: netperfmeter
Architecture: any
Depends: netperfmeter-common,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: hipercontracer,
            iproute2,
            libgnutls28-dev,
            netperfmeter-examples,
            netperfmeter-plotting,
            rsplib-tools,
            subnetcalc,
            tshark
Suggests: dynmhs,
          iputils-tracepath,
          netperfmeter-service,
          ping | iputils-ping,
          td-system-tools,
          traceroute | inetutils-traceroute
Description: Network Performance Meter (measurement program)
 NetPerfMeter is a network performance meter for the TCP, MPTCP, SCTP, UDP,
 DCCP, and QUIC transport protocols over IPv4 and IPv6. It simultaneously
 transmits bidirectional flows to an endpoint and measures the resulting flow
 bandwidths and QoS. Flows can be saturated (i.e. “send as much as possible”
 or non-saturated with frame rate and frame sizes (like a multimedia
 transmission). Non-saturated flows can be configured with constant or
 variable frame rate/frame size, i.e. to realise Constant Bit Rate (CBR) or
 Variable Bit Rate (VBR) traffic. For both, frame rate and frame size, it is
 not only possible to set constant values but to also to use random
 distributions. Furthermore, flows can be set up as on/off flows. Of course,
 the flow parameters can be configured individually per flow and flow
 direction. The measurement results can be recorded as scalar files (summary
 of the run) and vector files (time series). These files can be processed
 further, e.g. for detailed analysis and plotting of the results. The
 Wireshark network protocol analyser provides out-of-the-box support for
 analysing NetPerfMeter packet traffic.
 .
 This package contains the measurement program.

Package: netperfmeter-common
Architecture: all
Depends: ${misc:Depends}
Description: Network Performance Meter (common files)
 NetPerfMeter is a network performance meter for the TCP, MPTCP, SCTP, UDP,
 DCCP, and QUIC transport protocols over IPv4 and IPv6. It simultaneously
 transmits bidirectional flows to an endpoint and measures the resulting flow
 bandwidths and QoS. Flows can be saturated (i.e. “send as much as possible”
 or non-saturated with frame rate and frame sizes (like a multimedia
 transmission). Non-saturated flows can be configured with constant or
 variable frame rate/frame size, i.e. to realise Constant Bit Rate (CBR) or
 Variable Bit Rate (VBR) traffic. For both, frame rate and frame size, it is
 not only possible to set constant values but to also to use random
 distributions. Furthermore, flows can be set up as on/off flows. Of course,
 the flow parameters can be configured individually per flow and flow
 direction. The measurement results can be recorded as scalar files (summary
 of the run) and vector files (time series). These files can be processed
 further, e.g. for detailed analysis and plotting of the results. The
 Wireshark network protocol analyser provides out-of-the-box support for
 analysing NetPerfMeter packet traffic.
 .
 This package contains common NetPerfMeter files.

Package: netperfmeter-examples
Architecture: all
Depends: r-base-core,
         r-cran-bit64,
         r-cran-data.table,
         r-cran-dplyr,
         r-cran-ggplot2,
         r-cran-r.utils,
         ${misc:Depends}
Description: Network Performance Meter (example scripts and results files)
 NetPerfMeter is a network performance meter for the TCP, MPTCP, SCTP, UDP,
 DCCP, and QUIC transport protocols over IPv4 and IPv6. It simultaneously
 transmits bidirectional flows to an endpoint and measures the resulting flow
 bandwidths and QoS. Flows can be saturated (i.e. “send as much as possible”
 or non-saturated with frame rate and frame sizes (like a multimedia
 transmission). Non-saturated flows can be configured with constant or
 variable frame rate/frame size, i.e. to realise Constant Bit Rate (CBR) or
 Variable Bit Rate (VBR) traffic. For both, frame rate and frame size, it is
 not only possible to set constant values but to also to use random
 distributions. Furthermore, flows can be set up as on/off flows. Of course,
 the flow parameters can be configured individually per flow and flow
 direction. The measurement results can be recorded as scalar files (summary
 of the run) and vector files (time series). These files can be processed
 further, e.g. for detailed analysis and plotting of the results. The
 Wireshark network protocol analyser provides out-of-the-box support for
 analysing NetPerfMeter packet traffic.
 .
 This package contains some NetPerfMeter example scripts and results files.

Package: netperfmeter-service
Architecture: all
Depends: netperfmeter,
         ${misc:Depends}
Suggests: hipercontracer,
          hipercontracer-trigger,
          td-system-tools
Description: Network Performance Meter (server service)
 NetPerfMeter is a network performance meter for the TCP, MPTCP, SCTP, UDP,
 DCCP, and QUIC transport protocols over IPv4 and IPv6. It simultaneously
 transmits bidirectional flows to an endpoint and measures the resulting flow
 bandwidths and QoS. Flows can be saturated (i.e. “send as much as possible”
 or non-saturated with frame rate and frame sizes (like a multimedia
 transmission). Non-saturated flows can be configured with constant or
 variable frame rate/frame size, i.e. to realise Constant Bit Rate (CBR) or
 Variable Bit Rate (VBR) traffic. For both, frame rate and frame size, it is
 not only possible to set constant values but to also to use random
 distributions. Furthermore, flows can be set up as on/off flows. Of course,
 the flow parameters can be configured individually per flow and flow
 direction. The measurement results can be recorded as scalar files (summary
 of the run) and vector files (time series). These files can be processed
 further, e.g. for detailed analysis and plotting of the results. The
 Wireshark network protocol analyser provides out-of-the-box support for
 analysing NetPerfMeter packet traffic.
 .
 This package sets up a service running a NetPerfMeter server instance.

Package: pdfproctools
Architecture: all
Depends: ghostscript,
         libpdf-api2-perl,
         perl (>= 5.8.0),
         qpdf,
         ${misc:Depends}
Description: PDF Processing Tools
 This package contains tools for PDF file processing.
 .
 SetPDFMetadata updates the metadata of a PDF file. In particular, it can be
 used to add outlines (bookmarks) to a document. Furthermore, it can set the
 document properties (e.g. author, title, keywords, creator, producer).
 .
 PDFEmbedFonts embeds all referenced fonts into a PDF file. Optionally, it
 can also linearize the PDF file for online publication
 ("fast web view", "optimized").

Package: netperfmeter-plotting
Architecture: all
Recommends: netperfmeter-examples
Depends: pdfproctools,
         r-base-core,
         r-cran-bit64,
         r-cran-data.table,
         r-cran-dplyr,
         r-cran-ggplot2,
         r-cran-r.utils,
         ${misc:Depends}
Description: Network Performance Meter (plotting program)
 NetPerfMeter is a network performance meter for the TCP, MPTCP, SCTP, UDP,
 DCCP, and QUIC transport protocols over IPv4 and IPv6. It simultaneously
 transmits bidirectional flows to an endpoint and measures the resulting flow
 bandwidths and QoS. Flows can be saturated (i.e. “send as much as possible”
 or non-saturated with frame rate and frame sizes (like a multimedia
 transmission). Non-saturated flows can be configured with constant or
 variable frame rate/frame size, i.e. to realise Constant Bit Rate (CBR) or
 Variable Bit Rate (VBR) traffic. For both, frame rate and frame size, it is
 not only possible to set constant values but to also to use random
 distributions. Furthermore, flows can be set up as on/off flows. Of course,
 the flow parameters can be configured individually per flow and flow
 direction. The measurement results can be recorded as scalar files (summary
 of the run) and vector files (time series). These files can be processed
 further, e.g. for detailed analysis and plotting of the results. The
 Wireshark network protocol analyser provides out-of-the-box support for
 analysing NetPerfMeter packet traffic.
 .
 This package contains a plotting program for the results.

Package: netperfmeter-all
Architecture: all
Depends: netperfmeter,
         netperfmeter-common,
         netperfmeter-examples,
         netperfmeter-plotting,
         netperfmeter-service,
         pdfproctools,
         ${misc:Depends}
Description: NetPerfMeter metapackage for all sub-packages
 NetPerfMeter is a network performance meter for the TCP, MPTCP, SCTP, UDP,
 DCCP, and QUIC transport protocols over IPv4 and IPv6. It simultaneously
 transmits bidirectional flows to an endpoint and measures the resulting flow
 bandwidths and QoS. Flows can be saturated (i.e. “send as much as possible”
 or non-saturated with frame rate and frame sizes (like a multimedia
 transmission). Non-saturated flows can be configured with constant or
 variable frame rate/frame size, i.e. to realise Constant Bit Rate (CBR) or
 Variable Bit Rate (VBR) traffic. For both, frame rate and frame size, it is
 not only possible to set constant values but to also to use random
 distributions. Furthermore, flows can be set up as on/off flows. Of course,
 the flow parameters can be configured individually per flow and flow
 direction. The measurement results can be recorded as scalar files (summary
 of the run) and vector files (time series). These files can be processed
 further, e.g. for detailed analysis and plotting of the results. The
 Wireshark network protocol analyser provides out-of-the-box support for
 analysing NetPerfMeter packet traffic.
 .
 This metapackage installs all sub-packages of NetPerfMeter.
